Issue1810

classification
Title: Interpreter gives no echo of commands as you type.
Type: behaviour Severity: normal
Components: Versions: 2.5.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: amak Nosy List: amak, nmgv805
Priority: Keywords:

Created on 2011-10-21.23:00:58 by nmgv805, last changed 2011-11-03.00:12:45 by amak.

Files
File name Uploaded Description Edit Remove
jython_install.log nmgv805, 2011-10-21.23:00:58
Messages
msg6682 (view) Author: nmgv805 (nmgv805) Date: 2011-10-21.23:00:58
I installed 2.5.2 on HP NonStop Server version H06.23.00.  The HP NonStop is also known as Tandem, and it has a POSIX layer called Open System Services (OSS).  The installation went OK, but when I started the interpreter, the characters are not echoed as you type them. The command is echoed after you hit <Enter>:

Jython 2.5.2 (Release_2_5_2:7206, Mar 2 2011, 23:12:06)
[Java HotSpot(TM) Server VM ("Hewlett-Packard Company")] on java1.6.0
Type "help", "copyright", "credits" or "license" for more information.
>>>
dir()
['__doc__', '__name__']
>>>


Here is the install log:
<attached: jython_install.log>
msg6693 (view) Author: Alan Kennedy (amak) Date: 2011-11-02.22:58:08
Have you tried different values for the python.console property in the registry file? Here are the options in my registry file

# Jython ships with a JLine console (http://jline.sourceforge.net/)
# out of the box. Setting this to the name of a different console class,
# new console features can be enabled. Readline support is such an
# example:
#python.console=org.python.util.ReadlineConsole
#python.console.readlinelib=JavaReadline
# To activate the legacy Jython console:
#python.console=org.python.util.InteractiveConsole

I recommend trying the "legacy Jython console".
msg6697 (view) Author: nmgv805 (nmgv805) Date: 2011-11-02.23:48:08
Allan, enabling legacy Jython console in the registry file fixed it.  Thanks a lot!
msg6698 (view) Author: nmgv805 (nmgv805) Date: 2011-11-02.23:50:19
Oops, sorry I misspelled your name, Alan.
msg6699 (view) Author: nmgv805 (nmgv805) Date: 2011-11-03.00:03:15
This issue has been resolved, but I do not know how to change the status to closed.
msg6700 (view) Author: Alan Kennedy (amak) Date: 2011-11-03.00:12:45
Glad it was fixed. Resolving.
History
Date User Action Args
2011-11-03 00:12:45amaksetstatus: open -> closed
assignee: amak
resolution: fixed
messages: + msg6700
2011-11-03 00:03:15nmgv805setmessages: + msg6699
2011-11-02 23:50:19nmgv805setmessages: + msg6698
2011-11-02 23:48:08nmgv805setmessages: + msg6697
2011-11-02 22:58:08amaksetnosy: + amak
messages: + msg6693
2011-10-21 23:00:58nmgv805create